For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pledge

Perform various operations on pledge records.

Symitar eDocs References: Coming soon.

Operations

getPledge

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
PledgeLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getPledge
POST /nexum/627/2022.01/account/getPledge HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 361

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "PledgeLocator": 1,
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "Pledge": {
    "AccountNumber": "text",
    "Amount": 1,
    "CollateralCode": 1,
    "CollateralDescription": "text",
    "CollateralNumber": "text",
    "EffectiveDate": "2026-01-01",
    "ExpirationDate": "2026-01-01",
    "Id": "text",
    "Locator": 1,
    "Percent": 1,
    "Priority": 1,
    "RecordChangeDate": "2026-01-01",
    "Type": 1
  }
}

getPledgeSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
PledgeLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getPledgeSelectFields
POST /nexum/627/2022.01/account/getPledgeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 674

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "PledgeLocator": 1,
  "SelectableFields": {
    "IncludeAllPledgeFields": true,
    "PledgeFields": {
      "AccountNumber": true,
      "Amount": true,
      "CollateralCode": true,
      "CollateralDescription": true,
      "CollateralNumber": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "Locator": true,
      "Percent": true,
      "Priority": true,
      "RecordChangeDate": true,
      "Type": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "Pledge": {
    "AccountNumber": "text",
    "Amount": 1,
    "CollateralCode": 1,
    "CollateralDescription": "text",
    "CollateralNumber": "text",
    "EffectiveDate": "2026-01-01",
    "ExpirationDate": "2026-01-01",
    "Id": "text",
    "Locator": 1,
    "Percent": 1,
    "Priority": 1,
    "RecordChangeDate": "2026-01-01",
    "Type": 1
  }
}

getPledgePagedList

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getPledgePagedList
POST /nexum/627/2022.01/account/getPledgePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 437

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 1,
    "Token": "text"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "Pledge": [
    {
      "AccountNumber": "text",
      "Amount": 1,
      "CollateralCode": 1,
      "CollateralDescription": "text",
      "CollateralNumber": "text",
      "EffectiveDate": "2026-01-01",
      "ExpirationDate": "2026-01-01",
      "Id": "text",
      "Locator": 1,
      "Percent": 1,
      "Priority": 1,
      "RecordChangeDate": "2026-01-01",
      "Type": 1
    }
  ],
  "Token": "text"
}

getPledgeListSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
post/getPledgeListSelectFields
POST /nexum/627/2022.01/account/getPledgeListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 656

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "SelectableFields": {
    "IncludeAllPledgeFields": true,
    "PledgeFields": {
      "AccountNumber": true,
      "Amount": true,
      "CollateralCode": true,
      "CollateralDescription": true,
      "CollateralNumber": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "Locator": true,
      "Percent": true,
      "Priority": true,
      "RecordChangeDate": true,
      "Type": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "PledgeList": {
    "hasReachedMaximumListSize": true,
    "Pledge": [
      {
        "AccountNumber": "text",
        "Amount": 1,
        "CollateralCode": 1,
        "CollateralDescription": "text",
        "CollateralNumber": "text",
        "EffectiveDate": "2026-01-01",
        "ExpirationDate": "2026-01-01",
        "Id": "text",
        "Locator": 1,
        "Percent": 1,
        "Priority": 1,
        "RecordChangeDate": "2026-01-01",
        "Type": 1
      }
    ]
  }
}

searchPledgeSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
post/searchPledgeSelectFields
POST /nexum/627/2022.01/account/searchPledgeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 688

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "SelectableFields": {
    "IncludeAllPledgeFields": true,
    "PledgeFields": {
      "AccountNumber": true,
      "Amount": true,
      "CollateralCode": true,
      "CollateralDescription": true,
      "CollateralNumber": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "Locator": true,
      "Percent": true,
      "Priority": true,
      "RecordChangeDate": true,
      "Type": true
    }
  },
  "SearchFilter": {
    "Query": "text"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "PledgeList": {
    "hasReachedMaximumListSize": true,
    "Pledge": [
      {
        "AccountNumber": "text",
        "Amount": 1,
        "CollateralCode": 1,
        "CollateralDescription": "text",
        "CollateralNumber": "text",
        "EffectiveDate": "2026-01-01",
        "ExpirationDate": "2026-01-01",
        "Id": "text",
        "Locator": 1,
        "Percent": 1,
        "Priority": 1,
        "RecordChangeDate": "2026-01-01",
        "Type": 1
      }
    ]
  }
}

getPledgePagedListSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getPledgePagedListSelectFields
POST /nexum/627/2022.01/account/getPledgePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 408

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013454",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllPledgeFields": false,
    "PledgeFields": {
      "Locator": true,
      "Type": true,
      "AccountNumber": true,
      "Id": true,
      "Amount": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Pledge": [],
  "Token": null,
  "MessageId": "getPledgePagedListSelectFields"
}

searchPledgePagedSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchPledgePagedSelectFields
POST /nexum/627/2022.01/account/searchPledgePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 428

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013454",
  "Query": "LOCATOR=0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllPledgeFields": false,
    "PledgeFields": {
      "Locator": true,
      "Type": true,
      "AccountNumber": true,
      "Id": true,
      "Amount": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Pledge": [],
  "Token": null,
  "MessageId": "searchPledgePagedSelectFields"
}

updatePledgeByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
PledgeLocatorintegerOptional
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
post/updatePledgeByID
POST /nexum/627/2022.01/account/updatePledgeByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 303

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PledgeLocator": 1,
  "PledgeUpdatableFields": {
    "Type": 5,
    "CollateralNumber": "0000000001",
    "Amount": 0,
    "Percent": 100,
    "EffectiveDate": "2010-05-08"
  },
  "AccountNumber": "0000013824",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updatePledgeByID"
}

createPledge

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
PledgeLocatorintegerOptional
post/createPledge
POST /nexum/627/2022.01/account/createPledge HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 285

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PledgeCreatableFields": {
    "Type": 5,
    "CollateralNumber": "0000000001",
    "Amount": 0,
    "Percent": 100,
    "EffectiveDate": "2010-05-08"
  },
  "AccountNumber": "0000013824",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "PledgeLocator": 1,
  "MessageId": "createPledge"
}

deletePledge

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
PledgeLocatorintegerOptional
Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deletePledge
POST /nexum/627/2022.01/account/deletePledge HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 182

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PledgeLocator": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "nxAttributes": {},
  "MessageId": "deletePledge"
}

Last updated

Was this helpful?